<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>rs-common-platform-web</artifactId>
        <groupId>com.upyuns.common</groupId>
        <version>2.0-rscp-SNAPSHOT</version>
        <relativePath>../../rs-common/rs-common-platform-web/pom.xml</relativePath>

    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>rs-website-server</artifactId>

    <dependencies>

        <dependency>
            <groupId>com.upyuns.platform.rs</groupId>
            <artifactId>rs-website-api</artifactId>
            <version>2.0-rscp-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.upyuns.platform.rs</groupId>
            <artifactId>rs-datacenter-api</artifactId>
            <version>2.0-rscp-SNAPSHOT</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.module</groupId>
            <artifactId>jackson-module-jaxb-annotations</artifactId>
            <optional>true</optional>
            <version>2.8.3</version>
        </dependency>
    </dependencies>

    <build>
        <finalName>rs-website</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <compilerArgument>-XDignore.symbol.file</compilerArgument>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>